(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../index", "./sl-routes"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var index_1 = require("../../index");
    var sl_routes_1 = require("./sl-routes");
    var BackendProxy = (function () {
        function BackendProxy(config, logger) {
            this.config = config;
            this.logger = logger;
        }
        BackendProxy.prototype.getBuildSession = function (buildSessionId, callback) {
            var url = sl_routes_1.SLRoutes.buildSessionV1(buildSessionId);
            var client = new index_1.HttpClient(this.config, this.logger);
            client.get(url, callback);
        };
        return BackendProxy;
    }());
    exports.BackendProxy = BackendProxy;
});
//# sourceMappingURL=backend-proxy.js.map